Package net.rubygrapefruit.platform.internal

# Class Platform

java.lang.Object
net.rubygrapefruit.platform.internal.Platform

public abstract class Platform extends Object

## Constructor Summary

Constructors
Constructor
Description
`Platform()`

## Method Summary

Modifier and Type
Method
Description
`<T extends NativeIntegration>
Class<? extends T>`
`canonicalise(Class<T> type)`
`static Platform`
`current()`
`<T extends NativeIntegration>
T`
`get(Class<T> type, NativeLibraryLoader nativeLibraryLoader)`
`abstract String`
`getId()`
`String`
`getLibraryName()`
`List<String>`
`getLibraryVariants()`
`boolean`
`isLinux()`
`boolean`
`isMacOs()`
`boolean`
`isWindows()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Platform

public Platform()

## Method Details

### current

public static Platform current()

### isLinux

public boolean isLinux()

### isMacOs

public boolean isMacOs()

### isWindows

public boolean isWindows()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### canonicalise

public <T extends NativeIntegration> Class<? extends T> canonicalise(Class<T> type)

### get

public <T extends NativeIntegration> T get(Class<T> type, NativeLibraryLoader nativeLibraryLoader)

### getLibraryName

public String getLibraryName()

### getLibraryVariants

public List<String> getLibraryVariants()

### getId

public abstract String getId()